<?php

update_option( sprintf( 'thb_%s_key', get_option( 'template' ) ), 'activated' );
update_option( sprintf( 'thb_%s_key_expired', get_option( 'template' ) ), 0 );

/*
 * Here we have all the custom functions for the theme
 * Please be extremely cautious editing this file.
 * You have been warned!
 *
 */

// Option-Tree Theme Mode.
require get_theme_file_path( '/inc/admin/option-tree/init.php' );

// Theme Admin.
require get_theme_file_path( '/inc/admin/welcome/fuelthemes.php' );

// TGM Plugin Activation Class.
require get_theme_file_path( '/inc/admin/plugins/plugins.php' );

// Imports.
require get_theme_file_path( '/inc/admin/imports/import.php' );

// Social Links.
require get_theme_file_path( '/inc/framework/thb-social-links/social-links.php' );

// Script Calls.
require get_theme_file_path( '/inc/script-calls.php' );

// Excerpts.
require get_theme_file_path( '/inc/excerpts.php' );

// Ajax.
require get_theme_file_path( '/inc/ajax.php' );

// Category Settings.
require get_theme_file_path( '/inc/category-settings.php' );

// Add Menu Support.
require get_theme_file_path( '/inc/wp3menu.php' );

// Lazy Loading.
require get_theme_file_path( '/inc/framework/thb-lazyload.php' );

// Enable Sidebars.
require get_theme_file_path( '/inc/sidebar.php' );

// Misc.
require get_theme_file_path( '/inc/misc.php' );

// Block Grids.
require get_theme_file_path( '/inc/block-grids.php' );

// Advertisements.
require get_theme_file_path( '/inc/advertisement.php' );

// Breadcrumbs.
require get_theme_file_path( '/inc/breadcrumbs.php' );

// Crypto.
require get_theme_file_path( '/inc/framework/thb-crypto.php' );

// AMP.
if ( function_exists( 'is_amp_endpoint' ) ) {
	require get_theme_file_path( '/inc/framework/thb-amp/thb-amp.php' );
	require get_theme_file_path( '/inc/framework/thb-amp/thb-amp-menu-walker.php' );
}

// Social Functions.
require get_theme_file_path( '/inc/framework/thb-post-social.php' );
require get_theme_file_path( '/inc/framework/thb-post-reviews.php' );
require get_theme_file_path( '/inc/framework/thb-post-views.php' );

// CSS Output of Theme Options.
require get_theme_file_path( '/inc/selection.php' );

// WPML Support.
require get_theme_file_path( '/inc/wpml.php' );

// Twitter oAuth.
require get_theme_file_path( '/inc/framework/thb-twitter-helper.php' );

// Visual Composer Integration.
require get_theme_file_path( '/inc/framework/visualcomposer/visualcomposer.php' );

// WooCommerce Settings specific for theme.
require get_theme_file_path( '/inc/woocommerce.php' );

// Tribe Events Compatibility.
add_action(
	'tribe_events_before_html',
	function() {
		echo '<div class="row"><div class="small-12 columns">';
	}
);
add_action(
	'tribe_events_after_html',
	function() {
		echo '</div></div>';
	}
);
