<?php

function thb_get_carousel_templates($template_list) {
	$template_list['carousel_01'] = array(
		'name' => esc_html__( 'Carousel - 01', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/carousel/carousel-e1.jpg",
		'cat' => array( 'Carousel' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3"][thb_title title="Latest Products"][thb_product product_sort="latest-products" item_count="5" columns="3"][thb_gap height="30"][/vc_column][vc_column width="1/3" fixed="true" el_class="sidebar"][vc_widget_sidebar sidebar_id="home_2"][thb_gap height="30"][/vc_column][/vc_row]',
	);
	$template_list['carousel_02'] = array(
		'name' => esc_html__( 'Carousel - 02', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/carousel/carousel-e2.jpg",
		'cat' => array( 'Carousel' ),
		'sc' => '[vc_row thb_full_width="true" css=".vc_custom_1445606687084{padding-top: 50px !important;padding-bottom: 50px !important;background-color: #080808 !important;}"][vc_column][vc_row_inner max_width="true"][vc_column_inner][vc_column_text]</p>
<h4 style="text-align: center;"><span style="color: #ffffff;">Trending News</span></h4>
<p>[/vc_column_text][thb_gap height="35"][thb_postcarousel title_position="center-title" columns="4" color="dark" navigation="true" source="size:5|order_by:date|order:DESC|post_type:post"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);
	$template_list['carousel_03'] = array(
		'name' => esc_html__( 'Carousel - 03', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/carousel/carousel-e3.jpg",
		'cat' => array( 'Carousel' ),
		'sc' => '[vc_row thb_full_width="true" row_padding="true" column_padding="false"][vc_column][thb_gap height="120"][thb_catslider_parent columns="5"][thb_catslider category="8" cat_image="62"][thb_catslider category="13" cat_image="63"][thb_catslider category="18" cat_image="64"][thb_catslider category="19" cat_image="65"][thb_catslider category="20" cat_image="66"][thb_catslider category="22" cat_image="69"][/thb_catslider_parent][thb_gap height="30"][/vc_column][/vc_row]',
	);
	$template_list['carousel_04'] = array(
		'name' => esc_html__( 'Carousel - 04', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/carousel/carousel-e4.jpg",
		'cat' => array( 'Carousel' ),
		'sc' => '[vc_row thb_full_width="true" row_padding="true" column_padding="false" thb_shape_divider="true" thb_divider_position="both" css=".vc_custom_1537362702159{margin-top: 12vh !important;margin-bottom: 12vh !important;padding-top: 70px !important;padding-bottom: 70px !important;background-color: #f5f5f5 !important;}" divider_shape="tilt" thb_divider_color="#ffffff" thb_divider_height="70" thb_divider_color_2="#ffffff"][vc_column][vc_row_inner el_class="text-center" css=".vc_custom_1537876519451{padding-top: 8vh !important;padding-bottom: 5vh !important;}"][vc_column_inner][vc_column_text]<span style="font-size: 14px; font-weight: 800; color: #000000;">HOTTEST STORIES</span>[/vc_column_text][/vc_column_inner][/vc_row_inner][vc_row_inner max_width="true" css=".vc_custom_1537876488032{padding-bottom: 8vh !important;}"][vc_column_inner][thb_postcarousel style="style5" columns="3" margin="true" navigation="true" source="size:7|post_type:post"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);
	$template_list['carousel_05'] = array(
		'name' => esc_html__( 'Carousel - 05', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/carousel/carousel-e5.jpg",
		'cat' => array( 'Carousel' ),
		'sc' => '[vc_row thb_full_width="true" row_padding="true" column_padding="false" thb_shape_divider="true" thb_divider_position="top" css=".vc_custom_1537519003917{margin-bottom: 10vh !important;padding-top: 70px !important;background-color: #34276e !important;}" divider_shape="waves_v3" thb_divider_color="#000000" thb_divider_height="70"][vc_column][vc_row_inner max_width="true" css=".vc_custom_1537780335570{padding-top: 10vh !important;}"][vc_column_inner][vc_column_text el_class="text-center"]
<h3>Hottest Stories</h3>
[/vc_column_text][vc_empty_space height="40px"][thb_postcarousel style="style4" columns="3" margin="true" navigation="true" source="size:6|order:ASC|post_type:post"][/vc_column_inner][/vc_row_inner][vc_row_inner max_width="true" css=".vc_custom_1537780339624{padding-bottom: 10vh !important;}"][vc_column_inner el_class="text-center"][thb_button icon="" text_style="style2" color="white-transparent" link="url:http%3A%2F%2Fgoodlife.fuelthemes.net%2Fcrypto-demo%2Fstellar%2F5-seconds-of-summer-sounds-good-feels-good%2F|title:View%20All%20Stories||"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);
	$template_list['carousel_06'] = array(
		'name' => esc_html__( 'Carousel - 06', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/carousel/carousel-e6.jpg",
		'cat' => array( 'Carousel' ),
		'sc' => '[vc_row thb_full_width="true" row_padding="true" column_padding="false" css=".vc_custom_1496255061473{margin-bottom: 100px !important;}"][vc_column][thb_postcarousel style="style2" columns="4" navigation="true" source="by-tag" item_count="6" tag_slugs="carousel"][/vc_column][/vc_row]',
	);
	$template_list['carousel_07'] = array(
		'name' => esc_html__( 'Carousel - 07', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/carousel/carousel-e7.jpg",
		'cat' => array( 'Carousel' ),
		'sc' => '[vc_row thb_full_width="true" row_padding="true" column_padding="false" css=".vc_custom_1496255061473{margin-bottom: 100px !important;}"][vc_column][thb_postcarousel style="style3" columns="3" navigation="true" source="by-tag" item_count="6" tag_slugs="carousel"][/vc_column][/vc_row]',
	);
	return $template_list;
}
