<?php

function thb_get_postcategory_templates($template_list) {
	$template_list['category_01'] = array(
		'name' => esc_html__( 'Post Category - 01', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e1.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3"][thb_postcategory cat="16" title="true"][/vc_column_inner][vc_column_inner width="1/2"][thb_postcategory cat="51" item_count="5" title="true" style="style6"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/3" fixed="true" el_class="sidebar"][vc_widget_sidebar sidebar_id="home_1"][/vc_column][/vc_row]',
	);
	$template_list['category_02'] = array(
		'name' => esc_html__( 'Post Category - 02', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e2.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3"][vc_row_inner][vc_column_inner width="1/2"][thb_postcategory cat="5" item_count="5" title="true" style="style6"][/vc_column_inner][vc_column_inner width="1/2"][thb_postcategory cat="51" item_count="5" title="true" style="style6"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/3" fixed="true" el_class="sidebar"][vc_widget_sidebar sidebar_id="home_1"][/vc_column][/vc_row]',
	);
	$template_list['category_03'] = array(
		'name' => esc_html__( 'Post Category - 03', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e3.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3"][thb_postcategory cat="33" title="true" style="style5"][/vc_column][vc_column width="1/3" fixed="true" el_class="sidebar"][vc_widget_sidebar sidebar_id="home_2"][thb_gap height="30"][/vc_column][/vc_row]',
	);
	$template_list['category_04'] = array(
		'name' => esc_html__( 'Post Category - 04', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e4.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3"][thb_postcategory style="style2" cat="26" title="true"][thb_gap height="20"][thb_image animation="animation fade-in" alignment="center" image="139" img_size="full"][/vc_column][vc_column width="1/3" fixed="true" el_class="sidebar"][vc_widget_sidebar sidebar_id="home_2"][thb_gap height="20"][/vc_column][/vc_row]',
	);
	$template_list['category_05'] = array(
		'name' => esc_html__( 'Post Category - 05', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e5.jpg",
		'cat' => array( 'Post-Category', 'Post-Slider' ),
		'sc' => '[vc_row thb_full_width="true" column_padding="false"][vc_column][thb_postgrid_carousel style="style2" title_position="center-title" overlay_style="technology" source="size:5|post_type:post" cat="2,8,3,5" item_count="5"][/vc_column][/vc_row]',
	);
	$template_list['category_06'] = array(
		'name' => esc_html__( 'Post Category - 06', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e6.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3"][thb_postcategory title="true" style="style3" cat="31"][/vc_column][vc_column width="1/3" fixed="true"][vc_widget_sidebar sidebar_id="home_1" el_class="sidebar"][thb_gap height="34"][/vc_column][/vc_row]',
	);
	$template_list['category_07'] = array(
		'name' => esc_html__( 'Post Category - 07', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e15.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row][vc_column width="2/3"][thb_postcategory style="style10" cat="9" title="true" title_style="style3"][/vc_column][vc_column width="1/3" fixed="true" el_class="sidebar" css=".vc_custom_1537869073971{padding-top: 2vh !important;}"][vc_widget_sidebar sidebar_id="home_2"][/vc_column][/vc_row]',
	);
	$template_list['category_08'] = array(
		'name' => esc_html__( 'Post Category - 08', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e8.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3"][thb_postcategory title="true" style="style8" cat="4"][/vc_column][vc_column width="1/3" fixed="true" el_class="sidebar"][vc_widget_sidebar sidebar_id="home_2"][thb_gap height="30"][/vc_column][/vc_row]',
	);
	$template_list['category_09'] = array(
		'name' => esc_html__( 'Post Category - 09', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e9.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3"][thb_postcategory title="true" style="style7" cat="2"][/vc_column][vc_column width="1/3" fixed="true" el_class="sidebar"][vc_widget_sidebar sidebar_id="home_1"][/vc_column][/vc_row]',
	);
	$template_list['category_10'] = array(
		'name' => esc_html__( 'Post Category - 10', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e10.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row][vc_column width="1/3"][thb_title style="style2" icon="" title="Beauty"][thb_postcategory style="style6-fashion"][thb_gap height="10"][thb_button icon="" full_width="true" color="accent-transparent" animation="animation fade-in" link="url:http%3A%2F%2Fgoodlife.fuelthemes.net%2Ffashion-demo%2Fcategory%2Fbeauty%2F|title:View%20All%20Beauty|"][thb_gap height="50"][/vc_column][vc_column width="1/3"][thb_title style="style2" icon="" title="Celebrities"][thb_postcategory style="style6-fashion" cat="7"][thb_gap height="10"][thb_button icon="" full_width="true" color="accent-transparent" animation="animation fade-in" link="url:http%3A%2F%2Fgoodlife.fuelthemes.net%2Ffashion-demo%2Fcategory%2Fcelebrity%2F|title:View%20All%20Celebrity|"][thb_gap height="50"][/vc_column][vc_column width="1/3"][thb_title style="style2" icon="" title="Street Style"][thb_postcategory style="style6-fashion" cat="4"][thb_gap height="10"][thb_button icon="" full_width="true" color="accent-transparent" animation="animation fade-in" link="url:http%3A%2F%2Fgoodlife.fuelthemes.net%2Ffashion-demo%2Fcategory%2Ffashion%2F|title:View%20All%20Fashion|"][thb_gap height="50"][/vc_column][/vc_row]',
	);
	$template_list['category_11'] = array(
		'name' => esc_html__( 'Post Category - 11', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e11.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row][vc_column][thb_gap height="50"][thb_title style="style2" icon="" title="Editors Picks"][thb_postcategory style="style4" cat="13"][/vc_column][/vc_row]',
	);
	$template_list['category_12'] = array(
		'name' => esc_html__( 'Post Category - 12', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e12.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row css=".vc_custom_1537968403983{padding-bottom: 8vh !important;}"][vc_column][thb_postcategory style="style11" cat="3"][vc_empty_space height="40px"][vc_row_inner el_class="text-center"][vc_column_inner][thb_button icon="" color="black-transparent" animation="animation fade-in" link="url:%23|title:VIEW%20ALL%20NEWS||"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);
	$template_list['category_13'] = array(
		'name' => esc_html__( 'Post Category - 13', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e13.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row][vc_column width="2/3"][thb_postcategory style="style9" cat="3" title="true" title_style="style3"][thb_button icon="" text_style="style2" full_width="true" color="white-border" add_arrow="true" link="url:http%3A%2F%2Fgoodlife.fuelthemes.net%2Fcrypto-demo%2F|title:View%20All%20News||"][/vc_column][vc_column width="1/3" fixed="true" el_class="sidebar"][vc_widget_sidebar sidebar_id="home_1"][/vc_column][/vc_row]',
	);
	$template_list['category_14'] = array(
		'name' => esc_html__( 'Post Category - 14', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postcategory/category-e14.jpg",
		'cat' => array( 'Post-Category' ),
		'sc' => '[vc_row css=".vc_custom_1537801505716{padding-top: 6vh !important;padding-bottom: 10vh !important;}"][vc_column][thb_title style="style3" title="Guides" accent_color="#8912f8"][thb_postgrid style="style2" thb_excerpts="no" columns="4" source="size:4|post_type:post|categories:172"][thb_button icon="" text_style="style2" full_width="true" color="white-border" add_arrow="true" link="url:http%3A%2F%2Fgoodlife.fuelthemes.net%2Fcrypto-demo%2F|title:View%20All%20News||"][/vc_column][/vc_row]',
	);

	return $template_list;
}
