<?php

function thb_get_slider_templates($template_list) {
	$template_list['postslider_01'] = array(
		'name' => esc_html__( 'Post Slider - 01', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/slider/slider-e1.jpg",
		'cat' => array( 'Post-Slider' ),
		'sc' => '[vc_row][vc_column][thb_gap height="30"][thb_postgrid_carousel pagination="true" navigation="true" source="size:6|post_type:post" post_ids="243, 247, 249,33, 261, 263" style="style1"][vc_column_text]

<hr />

[/vc_column_text][thb_gap height="40"][/vc_column][/vc_row]',
	);
	$template_list['postslider_02'] = array(
		'name' => esc_html__( 'Post Slider - 02', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/slider/slider-e2.jpg",
		'cat' => array( 'Post-Slider' ),
		'sc' => '[vc_row][vc_column][thb_gap height="30"][thb_postgrid_carousel style="style3" pagination="true" navigation="true" source="size:10|post_type:post" post_ids="104, 288, 68, 116, 208, 173, 261, 284, 43, 303"][vc_column_text]

<hr />

[/vc_column_text][thb_gap height="40"][/vc_column][/vc_row]',
	);
	$template_list['postslider_03'] = array(
		'name' => esc_html__( 'Post Slider - 03', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/slider/slider-e3.jpg",
		'cat' => array( 'Post-Slider' ),
		'sc' => '[vc_row][vc_column][thb_gap height="40"][thb_posttrendingbar item_count="3"][thb_gap height="25"][thb_postgrid_carousel style="style2" title_position="center-title" pagination="true" navigation="true" source="size:10|post_type:post" post_ids="144, 146, 105, 148, 151, 42, 172, 103, 71, 124"][vc_column_text]

<hr />

[/vc_column_text][thb_gap height="50"][vc_column_text]<img class="aligncenter size-full wp-image-67" src="https://goodlife.fuelthemes.net/music-demo/wp-content/uploads/sites/6/2015/10/thb-music-728.png" alt="thb-music-728" width="728" height="90" />[/vc_column_text][thb_gap height="50"][/vc_column][/vc_row]',
	);
	$template_list['postslider_04'] = array(
		'name' => esc_html__( 'Post Slider - 04', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/slider/slider-e4.jpg",
		'cat' => array( 'Post-Slider' ),
		'sc' => '[vc_row][vc_column][thb_gap height="20"][thb_posttrendingbar source="size:3|order_by:date|order:ASC|post_type:post"][thb_gap height="20"][/vc_column][/vc_row]',
	);
	$template_list['postslider_05'] = array(
		'name' => esc_html__( 'Post Slider - 05', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/slider/slider-e5.jpg",
		'cat' => array( 'Post-Slider' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3" el_class="main_content"][thb_postslider style="style2" title_position="bottom-title" title_size="h3" navigation="true" source="by-id" post_ids="25, 22, 20"][/vc_column][vc_column width="1/3" fixed="true"][thb_gap height="30"][vc_widget_sidebar sidebar_id="home_1"][/vc_column][/vc_row]',
	);
	$template_list['postslider_06'] = array(
		'name' => esc_html__( 'Post Slider - 06', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/slider/slider-e6.jpg",
		'cat' => array( 'Post-Slider' ),
		'sc' => '[vc_row thb_full_width="true" row_padding="true" column_padding="false"][vc_column][thb_postslider style="style3" source="size:6|post_type:post" post_ids="5, 132, 135, 139, 141, 145"][/vc_column][/vc_row]',
	);
	$template_list['postslider_07'] = array(
		'name' => esc_html__( 'Post Slider - 07', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/slider/slider-e7.jpg",
		'cat' => array( 'Post-Slider' ),
		'sc' => '[vc_row][vc_column][thb_gap height="30"][thb_postslider pagination="true" source="size:3|order:ASC|post_type:post|by_id:69,413,390" post_ids="390, 413, 69"][thb_gap height="50"][/vc_column][/vc_row][vc_row]',
	);
	$template_list['postslider_08'] = array(
		'name' => esc_html__( 'Post Slider - 08', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/slider/slider-e8.jpg",
		'cat' => array( 'Post-Slider' ),
		'sc' => '[vc_row thb_full_width="true" row_padding="true" column_padding="false" css=".vc_custom_1537191485155{margin-bottom: 8vh !important;}"][vc_column][thb_postslider style="style5" navigation="true" source="size:4|post_type:post"][/vc_column][/vc_row]',
	);

	return $template_list;
}
