<?php $mobile_menu_style = ot_get_option( 'mobile_menu_style', 'style1' ); ?>
<nav id="mobile-menu" class="<?php echo esc_attr( $mobile_menu_style ); ?>">
	<div class="custom_scroll" id="menu-scroll">
			<div class="mobile-top">
			<?php do_action( 'thb_login_links', false ); ?>
			<?php do_action( 'thb_language_switcher_mobile' ); ?>
			<?php if ( $mobile_menu_style == 'style2' ) { ?>
				<a class="thb-close"><?php get_template_part( 'assets/svg/arrows_remove.svg' ); ?></a>
			<?php } ?>
			</div>
			<?php if ( has_nav_menu( 'mobile-menu' ) ) { ?>
				<?php
				wp_nav_menu(
					array(
						'theme_location' => 'mobile-menu',
						'depth'          => 3,
						'container'      => false,
						'menu_class'     => 'mobile-menu',
						'walker'         => new thb_mobileDropdown(),
					)
				);
				?>
			<?php } else { ?>
				<ul class="mobile-menu">
					<li><a href="<?php echo get_admin_url() . 'nav-menus.php'; ?>"><?php esc_html_e( 'Please assign a menu', 'goodlife' ); ?></a></li>
				</ul>
			<?php } ?>
			<?php if ( has_nav_menu( 'secondary-menu' ) ) { ?>
				<?php
				wp_nav_menu(
					array(
						'theme_location' => 'secondary-menu',
						'depth'          => 2,
						'container'      => false,
						'menu_class'     => 'mobile-menu secondary',
					)
				);
				?>
			<?php } ?>
			<div class="social-links">
				<?php do_action( 'thb_social_header', false ); ?>
			</div>
			<div class="menu-footer">
				<?php echo do_shortcode( ot_get_option( 'menu_footer' ) ); ?>
			</div>
	</div>
</nav>
