<?php
	$vars        = $wp_query->query_vars;
	$extra_class = array_key_exists( 'extra_class', $vars ) ? $vars['extra_class'] : false;
	$title_size  = array_key_exists( 'title_size', $vars ) ? $vars['title_size'] : false;
	$thb_contain = array_key_exists( 'thb_contain', $vars ) ? $vars['thb_contain'] : false;
?>
<div <?php post_class( 'post post-overlay ' . $extra_class ); ?>>
	<figure class="post-gallery">
		<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
			<?php do_action( 'thb_post_review_circle', 'small' ); ?>
			<?php the_post_thumbnail( 'goodlife-latest-2x' ); ?>
		</a>

		<header class="post-title entry-header">
			<?php if ( $thb_contain ) { ?>
				<div class="row max_width align-center">
					<div class="small-12 medium-10 large-8 columns">
			<?php } ?>
			<div class="post-category"><?php do_action( 'thb_DisplaySingleCategory', true ); ?></div>
			<?php the_title( '<' . $title_size . ' class="entry-title" itemprop="name headline"><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '">', '</a></' . $title_size . '>' ); ?>
			<?php do_action( 'thb_PostInfo', true, true, false, false ); ?>
			<?php if ( $thb_contain ) { ?>
					</div>
				</div>
			<?php } ?>
		</header>
	</figure>
</div>
