<?php add_filter( 'excerpt_length', 'thb_medium_excerpt_length' ); ?>
<?php
	$vars       = $wp_query->query_vars;
	$image_size = array_key_exists( 'image_size', $vars ) ? $vars['image_size'] : 'goodlife-latest-2x';
?>
<div <?php post_class( 'post style2' ); ?>>
	<div class="row">
		<div class="small-12 medium-4 columns">
			<?php if ( has_post_thumbnail() ) { ?>
			<figure class="post-gallery">
				<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
					<?php the_post_thumbnail( $image_size ); ?>
					<?php do_action( 'thb_post_review_circle', 'small' ); ?>
				</a>
			</figure>
			<?php } ?>
		</div>
		<div class="small-12 medium-8 columns">
			<div class="post-category"><?php do_action( 'thb_DisplaySingleCategory', false ); ?></div>
			<header class="post-title entry-header">
				<?php the_title( '<h5 class="entry-title" itemprop="name headline"><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '">', '</a></h5>' ); ?>
			</header>
			<?php do_action( 'thb_PostInfo', true, true, true, false ); ?>
			<div class="post-content entry-content small">
				<?php the_excerpt(); ?>
			</div>
		</div>
	</div>
</div>
