<?php add_filter( 'excerpt_length', 'thb_short_excerpt_length' ); ?>
<div <?php post_class( 'post style3' ); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
	<figure class="post-gallery">
		<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
			<?php the_post_thumbnail( 'goodlife-latest' ); ?>
			<?php do_action( 'thb_post_review_circle', 'small' ); ?>
		</a>
	</figure>
	<?php } ?>
	<header class="post-title entry-header">
		<?php the_title( '<h5 class="entry-title" itemprop="name headline"><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '">', '</a></h5>' ); ?>
	</header>
	<?php do_action( 'thb_PostInfo', true, true, true, false ); ?>
	<div class="post-content entry-content small">
		<?php the_excerpt(); ?>
	</div>
</div>
