<?php
  add_filter( 'excerpt_length', 'thb_supershort_excerpt_length' );
	$vars         = $wp_query->query_vars;
	$thb_excerpts = array_key_exists( 'thb_excerpts', $vars ) ? $vars['thb_excerpts'] : false;
?>
<div <?php post_class( 'post style3' ); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
	<figure class="post-gallery">
		<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
			<?php the_post_thumbnail( 'goodlife-latestshort-2x' ); ?>
			<?php do_action( 'thb_post_review_circle', 'small' ); ?>
		</a>
	</figure>
	<?php } ?>
	<header class="post-title entry-header">
		<?php the_title( '<h5 class="entry-title" itemprop="name headline"><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '">', '</a></h5>' ); ?>
	</header>
	<?php if ( $thb_excerpts !== 'no' ) { ?>
	<div class="post-content entry-content small">
		<?php the_excerpt(); ?>
	</div>
	<?php } ?>
</div>
