<?php
	$vars       = $wp_query->query_vars;
	$title_size = array_key_exists( 'title_size', $vars ) ? $vars['title_size'] : 'h5';
?>
<div <?php post_class( 'post style6 style6-vertical' ); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
	<figure class="post-gallery">
		<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
			<?php the_post_thumbnail( 'goodlife-latest-2x' ); ?>
			<?php do_action( 'thb_post_review_circle', 'small' ); ?>
		</a>
	</figure>
	<?php } ?>
	<div class="post-border-container">
		<div>
			<div class="post-category"><?php do_action( 'thb_DisplaySingleCategory', false ); ?></div>
			<header class="post-title entry-header">
				<?php the_title( '<' . $title_size . ' class="entry-title" itemprop="name headline"><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '">', '</a></' . $title_size . '>' ); ?>
			</header>
		</div>
		<?php do_action( 'thb_PostInfo', true, true, true, false ); ?>
	</div>
</div>
