<?php
	$vars     = $wp_query->query_vars;
	$counts   = array_key_exists( 'counts', $vars ) ? $vars['counts'] : false;
	$postmeta = array_key_exists( 'postmeta', $vars ) ? $vars['postmeta'] : false;
?>
<div <?php post_class( 'post listing-vertical' ); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
	<figure class="post-gallery">
		<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
			<?php the_post_thumbnail( 'goodlife-latest-2x' ); ?>
		</a>
	</figure>
	<?php } ?>
	<header class="post-title entry-header">
		<?php the_title( '<h6 class="entry-title" itemprop="name headline"><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '">', '</a></h6>' ); ?>
	</header>
</div>
