<?php get_header(); ?>
<?php $VC = class_exists( 'WPBakeryVisualComposerAbstract' ); ?>

<?php if ( have_posts() ) : while (have_posts()) : the_post(); ?>
<div <?php post_class( 'post post-detail' ); ?> id="post-<?php the_ID(); ?>">
	<?php if ( $VC && ! thb_is_woocommerce() ) { ?>
		<div class="post-content">
			<?php the_content( 'Read More' ); ?>
		</div>
	<?php } elseif (thb_is_woocommerce()) { ?>
		<div <?php post_class(); ?>>
			<div class="row">
				<div class="small-12 columns">
					<?php the_content();?>
				</div>
			</div>
		</div>
	<?php } else { ?>
		<div class="post-content">
			<div class="row">
				<div class="small-12 columns">
					<header class="post-title page-title">
						<?php the_title( '<h1 class="entry-title" itemprop="name headline">', '</h1>' ); ?>
					</header>
					<div class="post-content no-vc">
						<?php the_content( 'Read More' ); ?>
					</div>
					<?php
						if ( comments_open() || get_comments_number() ) :
							comments_template( '', true );
						endif;
					?>
				</div>
			</div>
		</div>
	<?php } ?>
</div>
<?php endwhile; endif; ?>
<?php
get_footer();
