<?php get_header(); ?>
<div class="row top-padding">
	<section class="small-12 medium-8 columns">
		<div class="category_title no-border search">
			<h4><?php esc_html_e( 'Search Results For', 'goodlife' ); ?>: <span><?php the_search_query(); ?></span></h4>
		</div>
		<?php
		if ( have_posts() ) :
			while ( have_posts() ) :
				the_post();
				get_template_part( 'inc/templates/post-styles/style2' );
			endwhile;
			the_posts_pagination(
				array(
					'prev_text' => '<span>' . esc_html__( '&larr;', 'goodlife' ) . '</span>',
					'next_text' => '<span>' . esc_html__( '&rarr;', 'goodlife' ) . '</span>',
					'mid_size'  => 2,
				)
			);
			else :
				get_template_part( 'inc/templates/loop/notfound' );
		endif;
			?>
	</section>
	<?php get_sidebar(); ?>
</div>
<?php
get_footer();
