<?php
function thb_roundUpToAny( $n, $x = 5 ) {
	return intval( ( ceil( $n ) % $x === 0 ) ? ceil( $n ) : round( ( $n + $x / 2 ) / $x ) * $x );
}

/* Display Category Block Layouts */
function thb_DisplayCategoryBlock( $style, $posts, $ppp, $padding = false ) {
	$counts   = false;
	$postmeta = false;
	global $post;
	for ( $i = 0; $i < $ppp; $i++ ) {

		$the_post = isset( $posts[ $i ] ) ? $posts[ $i ] : false;

		?>
		<?php if ( $style === 'style1' ) { ?>
			<?php
			if ( $i == 0 ) {
				echo '<div class="row"><div class="small-12 large-6 columns">';
				if ( $the_post ) {
					$post = get_post( $the_post );
					setup_postdata( $the_post );
					get_template_part( 'inc/templates/post-styles/style3-large-image' );
				} else {
					get_template_part( 'inc/templates/post-styles/placeholder' );
				}
				echo '</div>';
			}
			?>
			<?php
			if ( $i == 1 ) {
				echo '<div class="small-12 large-6 columns"><ul class="no-list">';
			}
			?>
			<?php
			if ( in_array( $i, array( 1, 2, 3, 4, 5 ) ) ) {
				if ( $the_post ) {
					$post = get_post( $the_post );
					setup_postdata( $the_post );
					set_query_var( 'counts', $counts );
					set_query_var( 'postmeta', $postmeta );
					get_template_part( 'inc/templates/post-styles/thumbnail-listing' );
				} else {
					get_template_part( 'inc/templates/post-styles/placeholder' );
				}
			}
			?>
			<?php
			if ( $i == 5 ) {
				echo '</ul></div></div>';
			}
			?>
	<?php } elseif ( $style === 'style2' ) { ?>
			<?php
			if ( $i == 0 ) {
				echo '<div class="row grid"><div class="small-12 columns">';
				if ( $the_post ) {
					$post = get_post( $the_post );
					setup_postdata( $the_post );
					set_query_var( 'extra_class', 'bottom-gradient block-12 large-padding' );
					set_query_var( 'title_size', 'h3' );
					set_query_var( 'counts', false );
					get_template_part( 'inc/templates/post-styles/grid' );
				} else {
					get_template_part( 'inc/templates/post-styles/placeholder' );
				}
				echo '</div>';
			}
			?>
			<?php
			if ( in_array( $i, array( 1, 2 ) ) ) {
				echo '<div class="small-12 large-6 columns">';
				if ( $the_post ) {
					$post = get_post( $the_post );
					setup_postdata( $the_post );
					set_query_var( 'extra_class', 'bottom-gradient block-6 large-padding' );
					set_query_var( 'title_size', 'h4' );
					set_query_var( 'counts', false );
					get_template_part( 'inc/templates/post-styles/grid' );
				} else {
					get_template_part( 'inc/templates/post-styles/placeholder' );
				}
				echo '</div>';
			}
			?>
			<?php
			if ( $i == 2 ) {
					echo '<aside class="gap" style="height: 28px;"></aside></div>';
			}
			?>
			<?php
			if ( $i == 3 ) {
					echo '<div class="row endcolumn">';
			}
			?>
			<?php
			if ( in_array( $i, array( 3, 4, 5, 6 ) ) ) {
				echo '<div class="small-12 medium-6 large-3 columns">';
				if ( $the_post ) {
					$post = get_post( $the_post );
					setup_postdata( $the_post );
					get_template_part( 'inc/templates/post-styles/style1-meta' );
				} else {
					get_template_part( 'inc/templates/post-styles/placeholder' );
				}
				echo '</div>';
			}
			?>
			<?php
			if ( $i == 6 ) {
				echo '</div>';
			}
			?>
	<?php } elseif ( $style === 'style3' ) { ?>
		<?php
		if ( $i == 0 ) {
			echo '<div class="row endcolumn"><div class="small-12 large-9 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				  set_query_var( 'extra_class', 'top-gradient block-6 large-padding top-title' );
				  set_query_var( 'title_size', 'h3' );
				  set_query_var( 'counts', $counts );
				  get_template_part( 'inc/templates/post-styles/grid' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == 1 ) {
				echo '<div class="row">';
		}
		?>
		<?php
		if ( in_array( $i, array( 1, 2, 3 ) ) ) {
			echo '<div class="small-12 medium-4 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				get_template_part( 'inc/templates/post-styles/style1-meta' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( $i == 3 ) {
				echo '</div></div>';
		}
		?>
		<?php
		if ( $i == 4 ) {
				echo '<div class="small-12 large-3 columns"><ul class="point-list">';
		}
		?>
		<?php
		if ( in_array( $i, array( 4, 5, 6, 7, 8, 9 ) ) ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				get_template_part( 'inc/templates/post-styles/listing' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == 9 ) {
				echo '</ul></div></div>';
		}
		?>
	<?php } elseif ( $style === 'style4' ) { ?>
		<?php
		if ( $i == 0 ) {
			echo '<div class="row endcolumn ' . esc_attr( $padding ) . '"><div class="small-12 large-3 columns">';
		}
		?>
		<?php
		if ( in_array( $i, array( 0, 1 ) ) ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', 'text-center smaller-padding' );
				set_query_var( 'title_size', 'h5' );
				set_query_var( 'image_size', 'goodlife-grid-2x' );
				set_query_var( 'excerpt', false );
				get_template_part( 'inc/templates/post-styles/fashion' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == 1 ) {
				echo '</div>';
		}
		?>
		<?php
		if ( $i == 2 ) {
			echo '<div class="small-12 large-6 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', 'offset-title bottom-title text-center' );
				set_query_var( 'title_size', 'h4' );
				set_query_var( 'image_size', 'goodlife-grid-2x' );
				set_query_var( 'excerpt', true );
				get_template_part( 'inc/templates/post-styles/fashion' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( $i == 3 ) {
				echo '<div class="small-12 large-3 columns">';
		}
		?>
		<?php
		if ( in_array( $i, array( 3, 4 ) ) ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', 'text-center smaller-padding' );
				set_query_var( 'title_size', 'h5' );
				set_query_var( 'excerpt', false );
				get_template_part( 'inc/templates/post-styles/fashion' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == 4 ) {
				echo '</div></div>';
		}
		?>
	<?php } elseif ( $style === 'style5' ) { ?>
		<?php
		if ( $i == 0 ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', 'large-padding center-title' );
				set_query_var( 'title_size', 'h3' );
				set_query_var( 'counts', $counts );
				get_template_part( 'inc/templates/post-styles/grid' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == 1 ) {
				echo '<div class="row">';
		}
		?>
		<?php
		if ( in_array( $i, array( 1, 2 ) ) ) {
			echo '<div class="small-12 medium-6 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				get_template_part( 'inc/templates/post-styles/style3' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( $i == 2 ) {
			echo '</div>';
		}
		?>
	<?php } elseif ( $style === 'style6' || $style === 'style6-fashion' ) { ?>
		<?php
		if ( $i == 0 ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				get_template_part( 'inc/templates/post-styles/style3' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == 1 ) {
			echo '<ul class="no-list">';
		}
		?>
		<?php
		if ( $i !== 0 ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'counts', $counts );
				set_query_var( 'postmeta', $postmeta );
				get_template_part( 'inc/templates/post-styles/thumbnail-listing' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == $ppp - 1 ) {
			echo '</ul>';
		}
		?>
	<?php } elseif ( $style === 'style7' ) { ?>
		<?php
		if ( $i == 0 ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', 'large-padding block-12 top-title' );
				set_query_var( 'title_size', 'h3' );

				set_query_var( 'counts', $counts );
				set_query_var( 'thb_excerpts', false );
				get_template_part( 'inc/templates/post-styles/grid' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == 1 ) {
			echo '<ul class="no-list double-side">';
		}
		?>
		<?php
		if ( $i !== 0 ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'counts', $counts );
				set_query_var( 'postmeta', $postmeta );
				get_template_part( 'inc/templates/post-styles/thumbnail-listing' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == $ppp - 1 ) {
			echo '</ul>';
		}
		?>
	<?php } elseif ( $style === 'style8' ) { ?>
		<?php
		if ( $i == 0 ) {
			echo '<div class="row grid"><div class="small-12 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', 'center-title large-padding' );
				set_query_var( 'title_size', 'h3' );
				set_query_var( 'counts', false );
				get_template_part( 'inc/templates/post-styles/grid' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div></div>';
		}
		?>
		<?php
		if ( $i == 1 ) {
			echo '<aside class="gap" style="height: 28px;"></aside>';
			echo '<div class="row endcolumn">';
		}
		?>
		<?php
		if ( in_array( $i, array( 1, 2, 3, 4 ) ) ) {
			echo '<div class="small-12 medium-6 large-3 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				get_template_part( 'inc/templates/post-styles/style1-meta' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
				echo '</div>';
		}
		?>
		<?php
		if ( $i == $ppp - 1 ) {
			echo '</div>';
		}
		?>
	<?php } elseif ( $style === 'style9' ) { ?>
		<?php
		if ( $i == 0 ) {
			echo '<div class="row">';
			echo '<div class="small-12 large-8 columns main-image">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'image_size', 'goodlife-grid-2x' );
				get_template_part( 'inc/templates/post-styles/style1-meta' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
				set_query_var( 'image_size', false );
			echo '</div>';
		}
		?>
		<?php
		if ( $i == 1 ) {
			echo '<div class="small-12 large-4 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'image_size', 'goodlife-latest-2x' );
				get_template_part( 'inc/templates/post-styles/style1-meta' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == 2 ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'image_size', 'goodlife-latest-2x' );
				get_template_part( 'inc/templates/post-styles/style1-meta' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div></div>';
		}
		?>
		<?php
		if ( $i == 3 ) {
			echo '<div class="row"><div class="small-12 medium-4 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'image_size', 'goodlife-latest-2x' );
				get_template_part( 'inc/templates/post-styles/style1-meta' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( $i == 4 ) {
			echo '<div class="small-12 medium-4 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				get_template_part( 'inc/templates/post-styles/style1-meta' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( $i == 5 ) {
			echo '<div class="small-12 medium-4 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				get_template_part( 'inc/templates/post-styles/style1-meta' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div></div>';
		}
		?>
	<?php } elseif ( $style === 'style10' ) { ?>
		<?php
		if ( $i == 0 ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', 'bottom-gradient large-padding' );
				set_query_var( 'title_size', 'h3' );
				get_template_part( 'inc/templates/post-styles/grid' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			set_query_var( 'extra_class', false );
		}
		?>
		<?php
		if ( $i == 1 ) {
			echo '<div class="row small-up-2 medium-up-4 bottom-posts">';
		}
		?>
		<?php
		if ( in_array( $i, array( 1, 2, 3, 4 ) ) ) {
			echo '<div class="columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				?>
					<div <?php post_class( 'post just-title cf' ); ?>>
						<header class="post-title entry-header">
						<?php the_title( '<h5 class="entry-title" itemprop="name headline"><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '">', '</a></h5>' ); ?>
						</header>
					<?php do_action( 'thb_PostInfo', false, true, false, false ); ?>
					</div>
				<?php
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( $i == 4 ) {
			echo '</div>';
		}
		?>

	<?php } elseif ( $style === 'style11' ) { ?>
		<?php
		if ( in_array( $i, array( 0, 6, 12 ) ) ) {
			echo '<div class="row no-padding">';
		}
		?>
		<?php
		if ( in_array( $i, array( 0, 1, 6, 7, 12, 13 ) ) ) {
			echo '<div class="small-12 large-6 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'title_size', 'h3' );
				get_template_part( 'inc/templates/post-styles/style6-vertical' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( in_array( $i, array( 2, 8, 14 ) ) ) {
			echo '</div><div class="row no-padding style11-bottom-row">';
		}
		?>
		<?php
		if ( in_array( $i, array( 2, 3, 4, 5, 8, 9, 10, 11, 14, 15, 16, 17 ) ) ) {
			echo '<div class="small-12 medium-6 large-3 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'title_size', 'h5' );
				get_template_part( 'inc/templates/post-styles/style6-vertical' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		set_query_var( 'title_size', false );
		?>
		<?php
		if ( in_array( $i, array( 5, 11, 17 ) ) ) {
			echo '</div>';
		}
		?>

		<?php
	}
	} // End for loop
}

/* Display Slider Block Layouts */
function thb_DisplaySliderBlock( $style, $posts, $ppp, $title_position, $overlay_style, $padding = false ) {
	global $post;

	switch ( $title_position ) {
		case 'top-title':
			$gradient = 'top-gradient';
			break;
		case 'bottom-title':
			$gradient = 'bottom-gradient';
			break;
		default:
			$gradient = '';
	}
	switch ( $overlay_style ) {
		case 'technology':
			$gradient1 = ' color1-gradient';
			$gradient2 = ' color2-gradient';
			$gradient3 = ' color3-gradient';
			$gradient4 = ' color4-gradient';
			$gradient5 = ' color5-gradient';
			break;
		default:
			$gradient1 = $gradient2 = $gradient3 = $gradient4 = $gradient5 = '';
	}

	for ( $i = 0; $i < $ppp; $i++ ) {
		$the_post = isset( $posts[ $i ] ) ? $posts[ $i ] : false;

		switch ( $i ) {
			case 2:
			case 7:
			case 12:
			case 17:
			case 22:
				$gradient_change = $gradient3;
				break;
			case 3:
			case 8:
			case 13:
			case 18:
			case 23:
				$gradient_change = $gradient4;
				break;
			case 4:
			case 9:
			case 14:
			case 19:
			case 24:
				$gradient_change = $gradient5;
				break;
			default:
				$gradient_change = '';
		}
		?>
		<?php if ( 'style1' == $style ) { ?>
			<?php
			if ( in_array( $i, array( 0, 3, 6 ) ) ) {
				echo '<div class="row ' . esc_attr( $padding ) . '">';
				echo '<div class="small-12 medium-12 large-8 columns">';
				if ( $the_post ) {
					$post = get_post( $the_post );
					setup_postdata( $the_post );
					set_query_var( 'extra_class', $gradient . $gradient1 . ' large-padding ' . $title_position );
					set_query_var( 'title_size', 'h1' );
					get_template_part( 'inc/templates/post-styles/grid' );
				} else {
					get_template_part( 'inc/templates/post-styles/placeholder' );
				}
				echo '</div>';
			}
			?>
			<?php
			if ( in_array( $i, array( 1, 4, 7 ) ) ) {
				echo '<div class="small-12 medium-12 large-4 columns"><div class="row">';
			}
			?>
			<?php
			if ( in_array( $i, array( 1, 2, 4, 5, 7, 8 ) ) ) {
				echo '<div class="small-12 medium-6 large-12 columns">';
				if ( $the_post ) {
					$post = get_post( $the_post );
					setup_postdata( $the_post );
					set_query_var( 'extra_class', $gradient . ( in_array( $i, range( 0, 100, 2 ) ) ? $gradient2 : $gradient3 ) . ' large-padding ' . $title_position );
					set_query_var( 'title_size', 'h4' );
					get_template_part( 'inc/templates/post-styles/grid' );
				} else {
					get_template_part( 'inc/templates/post-styles/placeholder' );
				}
				echo '</div>';
			}
			?>
			<?php
			if ( in_array( $i, array( 2, 5, 8 ) ) ) {
				echo '</div></div></div>';
			}
			?>
	<?php } elseif ( 'style2' == $style ) { ?>
			<?php
			if ( in_array( $i, array( 0, 5, 10 ) ) ) {
				echo '<div class="row ' . esc_attr( $padding ) . '"><div class="small-12 columns"><div class="row">';
			}
			?>
			<?php
			if ( in_array( $i, array( 0, 1, 5, 6, 10, 11 ) ) ) {
				echo '<div class="small-12 large-6 columns">';
				if ( $the_post ) {
					$post = get_post( $the_post );
					setup_postdata( $the_post );
					set_query_var( 'extra_class', $gradient . ( in_array( $i, range( 0, 100, 2 ) ) ? $gradient1 : $gradient2 ) . ' large-padding ' . $title_position );
					set_query_var( 'title_size', 'h3' );
					get_template_part( 'inc/templates/post-styles/grid' );
				} else {
					get_template_part( 'inc/templates/post-styles/placeholder' );
				}
				echo '</div>';
			}
			?>
			<?php
			if ( in_array( $i, array( 1, 6, 11 ) ) ) {
				echo '</div><div class="row">';
			}
			?>
			<?php
			if ( in_array( $i, array( 2, 3, 4, 7, 8, 9, 12, 13, 14 ) ) ) {
				echo '<div class="small-12 medium-12 large-4 columns">';
				if ( $the_post ) {
					$post = get_post( $the_post );
					setup_postdata( $the_post );
					set_query_var( 'extra_class', $gradient . $gradient_change . ' large-padding ' . $title_position );
					set_query_var( 'title_size', 'h4' );
					get_template_part( 'inc/templates/post-styles/grid' );
				} else {
					get_template_part( 'inc/templates/post-styles/placeholder' );
				}
				echo '</div>';
			}
			?>
			<?php
			if ( in_array( $i, array( 4, 9, 14 ) ) ) {
				echo '</div></div></div>';
			}
			?>
	<?php } elseif ( 'style3' == $style ) { ?>
		<?php
		if ( in_array( $i, array( 0, 5, 10 ) ) ) {
			echo '<div class="row ' . esc_attr( $padding ) . '"><div class="small-12 columns"><div class="row">';
		}
		?>
		<?php
		if ( in_array( $i, array( 0, 5, 10 ) ) ) {
			echo '<div class="small-12 medium-12 large-8 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', $gradient . $gradient1 . ' block-4 block-style3 large-padding ' . $title_position );
				set_query_var( 'title_size', 'h4' );
				get_template_part( 'inc/templates/post-styles/grid' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( in_array( $i, array( 1, 6, 11 ) ) ) {
			echo '<div class="small-12 medium-12 large-4 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', $gradient . $gradient2 . ' large-padding ' . $title_position );
				set_query_var( 'title_size', 'h4' );
				get_template_part( 'inc/templates/post-styles/grid' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( in_array( $i, array( 1, 6, 11 ) ) ) {
			echo '</div><div class="row">';
		}
		?>
		<?php
		if ( in_array( $i, array( 2, 3, 4, 7, 8, 9 ) ) ) {
			echo '<div class="small-12 medium-12 large-4 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', $gradient . $gradient_change . ' large-padding ' . $title_position );
				set_query_var( 'title_size', 'h4' );
				get_template_part( 'inc/templates/post-styles/grid' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( in_array( $i, array( 4, 9, 14 ) ) ) {
			echo '</div></div></div>';
		}
		?>
	<?php } elseif ( 'style4' == $style ) { ?>
		<?php

		if ( in_array( $i, array( 0, 5, 10 ) ) ) {
			echo '<div class="row ' . esc_attr( $padding ) . '"><div class="small-12 medium-12 large-6 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', $gradient . $gradient1 . ' block-6 block-style4 ' . $title_position );
				set_query_var( 'title_size', 'h4' );
				set_query_var( 'thb_excerpts', false );
				get_template_part( 'inc/templates/post-styles/grid' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( in_array( $i, array( 1, 6, 11 ) ) ) {
			echo '<div class="small-12 medium-12 large-6 columns"><div class="row">';
		}
		?>
		<?php
		if ( in_array( $i, array( 1, 2, 3, 4, 6, 7, 8, 9, 11, 12, 13, 14 ) ) ) {
			echo '<div class="small-12 medium-6 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'extra_class', $gradient . ( in_array( $i, range( 0, 100, 2 ) ) ? $gradient2 : $gradient3 ) . ' block-3 ' . $title_position );
				set_query_var( 'title_size', 'h5' );
				set_query_var( 'thb_excerpts', false );
				get_template_part( 'inc/templates/post-styles/grid' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( in_array( $i, array( 4, 9, 14 ) ) ) {
			echo '</div></div></div>';
		}
		?>
	<?php } elseif ( 'style5' == $style ) { ?>
		<?php

		if ( in_array( $i, array( 0 ) ) ) {
			echo '<div class="row no-padding style5-block-grid"><div class="small-12 medium-5 columns">';
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'title_size', 'h4' );
				set_query_var( 'thb_excerpts', true );
				set_query_var( 'thb_image_size', 'goodlife-grid-2x' );
				get_template_part( 'inc/templates/post-styles/gallery-offset-category' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
			echo '</div>';
		}
		?>
		<?php
		if ( in_array( $i, array( 1 ) ) ) {
			echo '<div class="small-12 medium-3 columns">';
		}
		?>
		<?php
		if ( in_array( $i, array( 1, 2 ) ) ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				set_query_var( 'title_size', 'h5' );
				set_query_var( 'thb_excerpts', false );
				set_query_var( 'thb_image_size', 'goodlife-latest-2x' );
				get_template_part( 'inc/templates/post-styles/gallery-offset-category' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( in_array( $i, array( 2 ) ) ) {
			echo '</div>';
		}
		?>
		<?php
		if ( in_array( $i, array( 3 ) ) ) {
			echo '<div class="small-12 medium-4 columns"><ul>';
		}
		?>
		<?php
		if ( in_array( $i, array( 3, 4, 5, 6, 7, 8 ) ) ) {
			if ( $the_post ) {
				$post = get_post( $the_post );
				setup_postdata( $the_post );
				get_template_part( 'inc/templates/post-styles/listing' );
			} else {
				get_template_part( 'inc/templates/post-styles/placeholder' );
			}
		}
		?>
		<?php
		if ( $i == $ppp - 1 ) {
			echo '</ul></div></div>';
		}
		?>
	<?php } ?>
		<?php

	} // End for loop
}
