<?php

function thb_get_postgrid_templates($template_list) {
	$template_list['postgrid_01'] = array(
		'name' => esc_html__( 'Post Grid - 01', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postgrid/grid-e1.jpg",
		'cat' => array( 'Post-Grid' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3"][thb_title title="More News"][thb_postgrid pagination="true" item_count="8" source="size:7|post_type:post"][/vc_column][vc_column width="1/3" fixed="true" el_class="sidebar"][vc_widget_sidebar sidebar_id="home_2"][thb_gap height="30"][/vc_column][/vc_row]',
	);
	$template_list['postgrid_02'] = array(
		'name' => esc_html__( 'Post Grid - 02', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postgrid/grid-e2.jpg",
		'cat' => array( 'Post-Grid' ),
		'sc' => '[vc_row][vc_column width="2/3"][thb_postgrid style="style2" columns="2" source="size:4|post_type:post"][/vc_column][vc_column width="1/3"][/vc_column][/vc_row]',
	);
	$template_list['postgrid_03'] = array(
		'name' => esc_html__( 'Post Grid - 03', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postgrid/grid-e3.jpg",
		'cat' => array( 'Post-Grid' ),
		'sc' => '[vc_row][vc_column][thb_title title="More News"][thb_postgrid style="style2" pagination="true" pagination_style="style2" item_count="8" offset="5" source="size:10|post_type:post"][thb_gap height="60"][/vc_column][/vc_row]',
	);
	$template_list['postgrid_04'] = array(
		'name' => esc_html__( 'Post Grid - 04', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postgrid/grid-e4.jpg",
		'cat' => array( 'Post-Grid' ),
		'sc' => '[vc_row equal_height="true"][vc_column width="2/3" el_class="main_content"][thb_gap height="30"][thb_postgrid pagination="true" item_count="7" featured_index="1, 5" source="size:6|post_type:post" offset="10"][/vc_column][vc_column width="1/3" fixed="true"][thb_gap height="30"][vc_widget_sidebar sidebar_id="home_2"][/vc_column][/vc_row]',
	);
	$template_list['postgrid_05'] = array(
		'name' => esc_html__( 'Post Grid - 05', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postgrid/grid-e5.jpg",
		'cat' => array( 'Post-Grid' ),
		'sc' => '[vc_row][vc_column][vc_column_text el_class="text-center"]
<h6>TODAY’S TOP STORIES</h6>
[/vc_column_text][thb_gap height="50"][thb_postgrid style="style5" columns="3" source="size:9|post_type:post"][thb_gap height="10"][thb_image alignment="center" image="274" img_link="url:%23|||"][thb_gap height="50"][/vc_column][/vc_row][vc_row][vc_column][thb_postgrid style="style6" columns="3" pagination="true" pagination_style="style2" source="size:5|order:ASC|post_type:post"][thb_gap height="60"][/vc_column][/vc_row]',
	);
	$template_list['postgrid_06'] = array(
		'name' => esc_html__( 'Post Grid - 06', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postgrid/grid-e6.jpg",
		'cat' => array( 'Post-Grid' ),
		'sc' => '[vc_row][vc_column][vc_column_text]
<h3 style="text-align: center;">EXPLORE</h3>
[/vc_column_text][thb_gap height="40"][thb_blockgrid style="style4" title_position="center-title" source="size:5|order_by:date|order:ASC|post_type:post|tags:27"][thb_gap height="30"][vc_row_inner][vc_column_inner el_class="text-center"][thb_button icon="" link="url:http%3A%2F%2Fgoodlife.fuelthemes.net%2Ftravel-demo%2Fcategory%2Fdestinations%2F|title:View%20All%20Destinations||"][/vc_column_inner][/vc_row_inner][thb_gap height="50"][/vc_column][/vc_row]',
	);
	$template_list['postgrid_07'] = array(
		'name' => esc_html__( 'Post Grid - 07', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postgrid/grid-e7.jpg",
		'cat' => array( 'Post-Grid' ),
		'sc' => '[vc_row css=".vc_custom_1537362744123{padding-bottom: 3vh !important;}"][vc_column width="2/3"][vc_column_text]<span style="font-size: 14px; font-weight: 800; color: #000000;">TECHNOLOGY</span>[/vc_column_text][vc_empty_space height="28px"][thb_postgrid style="style8" pagination="true" pagination_style="style2" source="size:7|post_type:post"][/vc_column][vc_column width="1/3" fixed="true" css=".vc_custom_1537363906699{padding-bottom: 67px !important;}"][thb_image alignment="center" image="303"][/vc_column][/vc_row]',
	);
	$template_list['postgrid_08'] = array(
		'name' => esc_html__( 'Post Grid - 08', 'goodlife' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/demos/postgrid/grid-e8.jpg",
		'cat' => array( 'Post-Grid' ),
		'sc' => '[vc_row css=".vc_custom_1537878008954{margin-bottom: 10vh !important;}"][vc_column][vc_column_text]</p>
<p style="text-align: center;"><span style="font-family: Overpass; font-size: 14px; font-weight: 800; color: #000000;">LATEST NEWS</span></p>
<p>[/vc_column_text][vc_empty_space height="5vh"][thb_postgrid style="style9" columns="3" pagination="true" pagination_style="style2" source="size:6|post_type:post"][/vc_column][/vc_row]',
	);
	return $template_list;
}
