<?php
	$header_boxed  = ( ot_get_option( 'header_boxed' ) === 'on' ? 'boxed' : '' );
	$header_color  = ot_get_option( 'header_color', 'light' );
	$general_boxed = ( ot_get_option( 'general_boxed' ) === 'on' ? 'boxed' : '' );
	$logo          = ot_get_option( 'thb_logo', Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/logo.png' );
?>
<!-- Start Header -->
<header class="header style6 <?php echo esc_attr( $header_boxed . ' ' . $header_color ); ?>">
	<div class="row full-width-row">
		<div class="small-3 columns text-left mobile-icon-holder">
			<?php do_action( 'thb_mobile_toggle' ); ?>
		</div>
		<div class="small-6 columns logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logolink">
				<img src="<?php echo esc_url( $logo ); ?>" class="logoimg" alt="<?php bloginfo( 'name' ); ?>"/>
			</a>
		</div>
		<div class="small-3 columns text-right mobile-share-holder">
			<?php do_action( 'thb_secondary' ); ?>
		</div>
	</div>
</header>
<!-- End Header -->
