<?php
	$vars   = $wp_query->query_vars;
	$color  = array_key_exists( 'color', $vars ) ? $vars['color'] : false;
	$active = array_key_exists( 'active', $vars ) ? $vars['active'] : false;
?>
<div <?php post_class( 'post listing ' . $color . '-color' ); ?>>
	<div class="video_play <?php echo esc_attr( $active ); ?>" data-post-id="<?php the_ID(); ?>">
		<?php if ( has_post_thumbnail() ) { ?>
		<figure class="post-gallery no-video-icon">
				<?php the_post_thumbnail( 'goodlife-thumbnail' ); ?>
		</figure>
		<?php } ?>
		<div class="listing-content">
			<header class="post-title entry-header">
				<?php the_title( '<h6 class="entry-title" itemprop="name headline">', '</h6>' ); ?>
			</header>
			<?php do_action( 'thb_PostInfo', false, true, false, false ); ?>
		</div>
	</div>
</div>
